# E-Invoice & E-WayBills: Get E-Waybill by IRN

This API is used to get details of e-waybill for a given IRN.

## URL

```
GET https://cloud.octagst.com/api/octa/einvoice/getewbbyirn?gstin={value}&irn={value}&pdf={value}
```

## Query Parameters

| Name    | Description                                                     | Type      | Value                 |
| ------- | --------------------------------------------------------------- | --------- | --------------------- |
| `gstin` | It specifies GSTIN of seller GSTIN                              | Mandatory |                       |
| `irn`   | It specifies Invoice reference number                           | Mandatory |                       |
| `pdf`   | It specifies whether to include eWayBill pdf in response or not | Optional  | `yes`, `no` (default) |

## Success Response

Response payload will contains the success status along with e-Waybill information.

```json
{
  "Success": true,
  "EwbStatus": "ACT",
  "EwbNo": "191008688443",
  "EwbTime": "27/11/2020 17:23:45",
  "EwbValidTill": "29/11/2020 17:23:45",
  "EwbPdf": "utwf19...34566AAAElFTkSuQmCC"
}
```

## Failure Response

If API request fails for some reason, response payload will contain the failure status and a list of errors.

```json
{
  "Success": false,
  "Errors": [
    {
      "Code": "ERR_CODE_1",
      "Message": "ERR MESSAGE 1"
    },
    {
      "Code": "ERR_CODE_n",
      "Message": "ERR MESSAGE n"
    }
  ]
}
```